# CUPTI Version

## Defines
#define | CUPTI_API_VERSION 16
| The API version for this implementation of CUPTI.
## Functions
CUptiResult | cuptiGetVersion (uint32_t *version)
| Get the CUPTI API version.

## Detailed Description

Function and macro to determine the CUPTI version.

## Define Documentation

#define CUPTI_API_VERSION 16

The API version for this implementation of CUPTI. This define along with cuptiGetVersion can be used to dynamically detect if the version of CUPTI compiled against matches the version of the loaded CUPTI library.

v1 : CUDAToolsSDK 4.0 v2 : CUDAToolsSDK 4.1 v3 : CUDA Toolkit 5.0 v4 : CUDA Toolkit 5.5 v5 : CUDA Toolkit 6.0 v6 : CUDA Toolkit 6.5 v7 : CUDA Toolkit 6.5(with sm_52 support) v8 : CUDA Toolkit 7.0 v9 : CUDA Toolkit 8.0 v10 : CUDA Toolkit 9.0 v11 : CUDA Toolkit 9.1 v12 : CUDA Toolkit 10.0, 10.1 and 10.2 v13 : CUDA Toolkit 11.0 v14 : CUDA Toolkit 11.1 v15 : CUDA Toolkit 11.2 v16 : CUDA Toolkit 11.5

## Function Documentation

CUptiResult cuptiGetVersion | ( | uint32_t * | version | ) |

Return the API version in `*version`.

Parameters:

  | version | Returns the version

Return values:

  | CUPTI_SUCCESS | on success
  | CUPTI_ERROR_INVALID_PARAMETER | if `version` is NULL

See also:
  CUPTI_API_VERSION